Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletContainerImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletContainerImpl

All Implemented Interfaces:
  PortletContainer

    public class PortletContainerImpl

extends java.lang.Object
implements PortletContainer

Version:
  $Revision: 6365 $
Author:
  Julien Viet

Field Summary
`protected PortletApplicationImpl` | `application` .
`protected java.lang.String` | `className` The portlet implementation class name.
`protected PortletConfig` | `config` The portlet config.
`protected PortletInfo` | `info` Return info.
`protected JBossPortletMetaData` | `jbossMetaData` .
`protected org.apache.log4j.Logger` | `log` Logger.
`protected PortletMetaData` | `metaData` .
`protected Portlet` | `portlet` The portlet instance.
`protected PreferencesValidator` | `preferencesValidator` The preference validator, this is not exposed as runtime meta data as it is only used by the JSR 168 portlet container implementation.
`protected java.util.Map` | `securityRoleRefsMap` Give the correspondance between role name and role link.
`protected boolean` | `started` Are we started or not.
`protected java.util.Set` | `userDataConstraints` User data constraint.
`protected Valve` | `valve` The invocation valve.

Constructor Summary
`PortletContainerImpl(PortletMetaData metaData, JBossPortletMetaData jbossMetaData)`

Method Summary
`PortletInvocationResponse` | `dispatch(PortletInvocation invocation)`
`PortletApplication` | `getApplication()` Return the portlet application of this container.
`PortletConfig` | `getConfig()`
`java.lang.String` | `getId()` Return the portlet container id, unique within the context of the parent application.
`PortletInfo` | `getInfo()` Returns the runtime meta data of the container.
`JBossPortletMetaData` | `getJBossMetaData()`
`PortletMetaData` | `getMetaData()`
`Portlet` | `getPortlet()`
`PreferencesValidator` | `getPreferencesValidator()`
`java.util.Map` | `getSecurityRoleRefsMap()`
`java.util.Set` | `getUserDataConstraints()`
`Valve` | `getValve()`
`protected PortletInvocationResponse` | `invokeAction(ActionInvocation invocation)`
`protected PortletInvocationResponse` | `invokeRender(RenderInvocation invocation)`
`boolean` | `isStarted()`
`void` | `setApplication(PortletApplication application)`
`void` | `start()` Starts the portlet container.
`void` | `stop()` Stops the portlet container.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected final org.apache.log4j.Logger log

  Logger.

### application

    protected PortletApplicationImpl application

  .

### metaData

    protected PortletMetaData metaData

  .

### jbossMetaData

    protected JBossPortletMetaData jbossMetaData

  .

### className

    protected java.lang.String className

  The portlet implementation class name.

### config

    protected PortletConfig config

  The portlet config.

### portlet

    protected Portlet portlet

  The portlet instance.

### valve

    protected final Valve valve

  The invocation valve.

### securityRoleRefsMap

    protected java.util.Map securityRoleRefsMap

  Give the correspondance between role name and role link.

### started

    protected boolean started

  Are we started or not.

### userDataConstraints

    protected java.util.Set userDataConstraints

  User data constraint.

### info

    protected PortletInfo info

  Return info.

### preferencesValidator

    protected PreferencesValidator preferencesValidator

  The preference validator, this is not exposed as runtime meta data as it is only used by the JSR 168 portlet container implementation.

Constructor Detail

### PortletContainerImpl

    public PortletContainerImpl(PortletMetaData metaData,
                                JBossPortletMetaData jbossMetaData)

Method Detail

### getInfo

    public PortletInfo getInfo()

  Description copied from interface: `PortletContainer`
  Returns the runtime meta data of the container.

  Specified by:
    `getInfo` in interface `PortletContainer`
  Returns:
    the info

### getId

    public java.lang.String getId()

  Description copied from interface: `PortletContainer`
  Return the portlet container id, unique within the context of the parent application.

  Specified by:
    `getId` in interface `PortletContainer`
  Returns:
    the id

### getMetaData

    public PortletMetaData getMetaData()

### getJBossMetaData

    public JBossPortletMetaData getJBossMetaData()

### isStarted

    public boolean isStarted()

### start

    public void start()
               throws PortletInitializationException

  Description copied from interface: `PortletContainer`
  Starts the portlet container.

  Specified by:
    `start` in interface `PortletContainer`
  Throws:
    `PortletInitializationException`

### stop

    public void stop()

  Description copied from interface: `PortletContainer`
  Stops the portlet container.

  Specified by:
    `stop` in interface `PortletContainer`

### getConfig

    public PortletConfig getConfig()

### getPortlet

    public Portlet getPortlet()

### getSecurityRoleRefsMap

    public java.util.Map getSecurityRoleRefsMap()

### getApplication

    public PortletApplication getApplication()

  Description copied from interface: `PortletContainer`
  Return the portlet application of this container.

  Specified by:
    `getApplication` in interface `PortletContainer`
  Returns:
    the application

### setApplication

    public void setApplication(PortletApplication application)

  Specified by:
    `setApplication` in interface `PortletContainer`

### getValve

    public Valve getValve()

  Specified by:
    `getValve` in interface `PortletContainer`

### getUserDataConstraints

    public java.util.Set getUserDataConstraints()

### getPreferencesValidator

    public PreferencesValidator getPreferencesValidator()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### dispatch

    public PortletInvocationResponse dispatch(PortletInvocation invocation)
                                       throws PortletInvokerException,
                                              InvocationException

  Specified by:
    `dispatch` in interface `PortletContainer`
  Throws:
    `PortletInvokerException`
    `InvocationException`

### invokeAction

    protected PortletInvocationResponse invokeAction(ActionInvocation invocation)
                                              throws java.io.IOException,
                                                     PortletException

  Throws:
    `java.io.IOException`
    `PortletException`

### invokeRender

    protected PortletInvocationResponse invokeRender(RenderInvocation invocation)
                                              throws java.io.IOException,
                                                     PortletException

  Throws:
    `java.io.IOException`
    `PortletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD